org.apache.commons.math.analysis

## Interface TrivariateRealFunction

All Known Implementing Classes:
  TricubicSplineFunction, TricubicSplineInterpolatingFunction

    public interface TrivariateRealFunction

An interface representing a trivariate real function.

Since:
  2.2
Version:
  $Revision$ $Date$

### Method Summary

Methods
`double` `value(double x, double y, double z)` Compute the value for the function.

### Method Detail

#### value

    double value(double x,
               double y,
               double z)
                 throws FunctionEvaluationException

Compute the value for the function.

Parameters:
  `x` - x-coordinate for which the function value should be computed.
  `y` - y-coordinate for which the function value should be computed.
  `z` - z-coordinate for which the function value should be computed.
Returns:
  the value.
Throws:
  `FunctionEvaluationException` - if the function evaluation fails.